//---------------------------------------------------------------------------
//
// File:         ft1000_ioctl.h
//
//
// Description:    Common structures and defines relating to IOCTL 
//
// History:
// 11/5/02    Whc                Created.
//
// Copyright (C)2002 Flarion Technologies.  All Rights Reserved
//---------------------------------------------------------------------------
#ifndef _FT1000IOCTLH_
#define _FT1000IOCTLH_

typedef struct _IOCTL_GET_VER {
    unsigned long drv_ver;
} IOCTL_GET_VER, *PIOCTL_GET_VER;

typedef struct _IOCTL_GET_DSP_STAT {
    unsigned char DspVer[4];        // DSP version number
    unsigned char HwSerNum[16];    // Hardware Serial Number
    unsigned char Sku[20];              // SKU
    unsigned char eui64[8];            // EUI64
    unsigned short ConStat;                // Connection Status
    unsigned short LedStat;                // LED Status
    unsigned long nTxPkts;                // Number of pkts transmittted
    unsigned long nRxPkts;                // Number of pkts received
    unsigned long nTxBytes;               // Number of bytes transmitted
    unsigned long nRxBytes;               // Number of bytes received
    unsigned long ConTm;                  // Connection time in seconds
} __attribute__ ((packed)) IOCTL_GET_DSP_STAT, *PIOCTL_GET_DSP_STAT;

//
// Custom IOCTL command codes
//
#define FT1000_MAGIC_CODE      'F'
#define IOCTL_FT1000_GET_DSP_STAT _IOR (FT1000_MAGIC_CODE, 6, sizeof(IOCTL_GET_DSP_STAT) )
#define IOCTL_FT1000_GET_VER _IOR (FT1000_MAGIC_CODE, 7, sizeof(IOCTL_GET_VER) )
#endif // _FT1000IOCTLH_

