#!/bin/bash 

KERNEL_VER=$(uname -r)
INSTALLDIR="/lib/modules/$KERNEL_VER/kernel/drivers/net/wireless/ft1000"

# Check if we are running as root
if ['id -u' != "0"]; then
   echo "You must be running as root to install the FT1000 driver."
   exit 127
fi

KEY=0
while [ $KEY -le 4 ]
do
   clear
   echo "Installation script for Flarion Technologies FT1000 PC Card"
   echo "-----------------------------------------------------------"
   echo ""
   echo "Select from the following option:"
   echo ""
   echo "     1      Install/Upgrade FT1000 driver"
   echo "     2      Uninstall FT1000 driver"
   echo "     3      Build FT1000 driver"
   echo "     4      Build Monitor application"
   echo "  [Ctrl-C]  Exit Installation script"
   echo ""
   read KEY
   case $KEY in
      1) 
            echo "Installing/Upgrading FT1000 driver"
            rm -f /etc/pcmcia/ft1000.conf
            rm -f /etc/flarion/*.img
            rm -rf /etc/flarion
            rm -f $INSTALLDIR/ft1000_cs.ko
            rm -f $INSTALLDIR/ft1000.ko
            rm -rf $INSTALLDIR
            mkdir $INSTALLDIR
            mkdir /etc/flarion
        #    cp -f Bin/ft1000.img /etc/flarion/.
            cp -f Bin/ft2000.img /etc/flarion/.
            cp -f Bin/ft1000.conf /etc/pcmcia/.
            cp -f Bin/ft1000_cs.ko $INSTALLDIR/.
            cp -f Bin/ft1000.ko $INSTALLDIR/.
            /sbin/depmod -a
            service pcmcia restart
            echo "FT1000 driver installation complete"
            ;;
      2)
            echo "Uninstalling FT1000 driver"
            rm -f /etc/pcmcia/ft1000.conf
            rm -f /etc/flarion/*.img
            rm -rf /etc/flarion
            rm -f $INSTALLDIR/ft1000_cs.ko
            rm -f $INSTALLDIR/ft1000.ko
            rm -rf $INSTALLDIR
            service pcmcia restart
            echo "FT1000 driver uninstall complete"
            ;;
      3)
            echo "Building FT1000 driver"
            cd Drv_Src
            make clean
            make
            cp -f ft1000_cs.ko ../Bin
            cp -f ft1000.ko ../Bin
            cd ..
            echo "FT1000 driver build done"
            ;;
      4)
            echo "Building Monitor Application"
            cd Mon_Src
            gcc getstat.c -o getstat
            chmod 777 getstat
            cp -f getstat ../Bin
            cd ..
            echo "Monitor application build done"
            ;;
   esac
   
   if [ $KEY -le 4 ] 
   then  
       echo ""
       echo ""
       echo "  Hit [return] to return to main menu"
       echo "  [Ctrl-C]  Exit Installation" 
       read DKEY
   fi
  
done
